Index: sandbox_qt/src/CMakeLists.txt
===================================================================
--- sandbox_qt/src/CMakeLists.txt	(revision 7419)
+++ sandbox_qt/src/CMakeLists.txt	(revision 7421)
@@ -33,21 +33,10 @@
 ####### Library Behaviour (dependencies) ########
 
-# Disable Boost auto linking completely
-ADD_COMPILER_FLAGS("-DBOOST_ALL_NO_LIB")
-
 # If no defines are specified, these libs get linked statically
-ADD_COMPILER_FLAGS("-DBOOST_ALL_DYN_LINK" WIN32 LINK_BOOST_DYNAMIC)
-ADD_COMPILER_FLAGS("-DENET_DLL"           WIN32 LINK_ENET_DYNAMIC)
-ADD_COMPILER_FLAGS("-DLUA_BUILD_AS_DLL"   WIN32 LINK_LUA_DYNAMIC)
-ADD_COMPILER_FLAGS("-DZLIB_DLL"           WIN32 LINK_ZLIB_DYNAMIC)
+#ADD_COMPILER_FLAGS("-DZLIB_DLL"           WIN32 LINK_ZLIB_DYNAMIC)
 # If no defines are specified, these libs get linked dynamically
-ADD_COMPILER_FLAGS("-DCEGUI_STATIC"       WIN32 NOT LINK_CEGUI_DYNAMIC)
-ADD_COMPILER_FLAGS("-DOGRE_STATIC_LIB"    WIN32 NOT LINK_OGRE_DYNAMIC)
-ADD_COMPILER_FLAGS("-DSTATIC_BUILD"       WIN32 NOT LINK_TCL_DYNAMIC)
+#ADD_COMPILER_FLAGS("-DSTATIC_BUILD"       WIN32 NOT LINK_TCL_DYNAMIC)
 
 ######### Library Behaviour (external) ##########
-
-# Use TinyXML++
-ADD_COMPILER_FLAGS("-DTIXML_USE_TICPP")
 
 # Default linking for externals is SHARED
@@ -60,8 +49,5 @@
 ENDIF()
 # If no defines are specified, these libs get linked dynamically
-ADD_COMPILER_FLAGS("-DCEGUILUA_STATIC"             WIN32 NOT _external_shared_link)
-ADD_COMPILER_FLAGS("-DOGRE_GUIRENDERER_STATIC_LIB" WIN32 NOT _external_shared_link)
-ADD_COMPILER_FLAGS("-DOIS_STATIC_LIB"              WIN32 NOT _external_shared_link)
-ADD_COMPILER_FLAGS("-DTOLUA_STATIC_BUILD"          WIN32 NOT _external_shared_link)
+#ADD_COMPILER_FLAGS("-DTOLUA_STATIC_BUILD"          WIN32 NOT _external_shared_link)
 
 ############## Include Directories ##############
@@ -70,17 +56,4 @@
 INCLUDE_DIRECTORIES(
   # External
-  ${OGRE_INCLUDE_DIR}
-  ${CEGUI_INCLUDE_DIR}
-  ${ENET_INCLUDE_DIR}
-  ${Boost_INCLUDE_DIRS}
-  ${POCO_INCLUDE_DIR}
-  ${OPENAL_INCLUDE_DIRS}
-  ${ALUT_INCLUDE_DIR}
-  ${VORBIS_INCLUDE_DIR}
-  ${OGG_INCLUDE_DIR}
-  ${LUA_INCLUDE_DIR}
-  ${TCL_INCLUDE_PATH}
-  ${DIRECTX_INCLUDE_DIR}
-  ${ZLIB_INCLUDE_DIR}
   ${VLD_INCLUDE_DIR}
 
@@ -89,6 +62,5 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/external
   # Include directories needed even if only included by Orxonox
-  ${CMAKE_CURRENT_SOURCE_DIR}/external/bullet
-  ${CMAKE_CURRENT_SOURCE_DIR}/external/ois
+  #${CMAKE_CURRENT_SOURCE_DIR}/external/bullet
 
   # OrxonoxConfig.h
@@ -96,16 +68,7 @@
 )
 
-IF(CEGUILUA_USE_INTERNAL_LIBRARY)
-  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/external/ceguilua/ceguilua-${CEGUI_VERSION})
-ENDIF()
+###################### Qt4 ######################
 
-################### Tolua Bind ##################
-
-# Create directory because the tolua application doesn't work otherwise
-IF(NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/toluabind/${CMAKE_CFG_INTDIR})
-  FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/toluabind/${CMAKE_CFG_INTDIR})
-ENDIF()
-
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/toluabind/${CMAKE_CFG_INTDIR})
+INCLUDE(${QT_USE_FILE})
 
 ################ Sub Directories ################
@@ -114,5 +77,4 @@
 ADD_SUBDIRECTORY(libraries)
 ADD_SUBDIRECTORY(orxonox)
-ADD_SUBDIRECTORY(modules)
 
 ################## Executable ###################
@@ -137,6 +99,4 @@
   OUTPUT_NAME orxonox
 )
-# Main executable should depend on all modules
-ADD_DEPENDENCIES(orxonox-main ${ORXONOX_MODULES})
 
 # Get name to configure the run scripts
@@ -170,5 +130,4 @@
 # core/XMLPort.h instead of src/core/XMLPort.h
 
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/modules)
 GET_DIRECTORY_PROPERTY(_temp INCLUDE_DIRECTORIES)
 # Replace ';' by spaces
Index: sandbox_qt/src/OrxonoxConfig.h.in
===================================================================
--- sandbox_qt/src/OrxonoxConfig.h.in	(revision 7419)
+++ sandbox_qt/src/OrxonoxConfig.h.in	(revision 7421)
@@ -194,23 +194,4 @@
 }
 
-// Import general purpose smart pointers
-namespace boost
-{
-    template<class T> class scoped_ptr;
-    template<class T> class shared_ptr;
-    template<class T> class weak_ptr;
-    template<class T> class intrusive_ptr;
-    template<class T> class shared_array;
-    template<class T> class scoped_array;
-}
-namespace orxonox
-{
-    using boost::scoped_ptr;
-    using boost::shared_ptr;
-    using boost::weak_ptr;
-    using boost::intrusive_ptr;
-    using boost::shared_array;
-    using boost::scoped_array;
-}
 
 #endif /* _OrxonoxConfig_H__ */
Index: sandbox_qt/src/SpecialConfig.h.in
===================================================================
--- sandbox_qt/src/SpecialConfig.h.in	(revision 7419)
+++ sandbox_qt/src/SpecialConfig.h.in	(revision 7421)
@@ -42,6 +42,4 @@
 #include "OrxonoxConfig.h"
 
-#cmakedefine CEGUILUA_USE_INTERNAL_LIBRARY  ///< Set whether we must suffix "ceguilua/" for the CEGUILua.h include
-
 #cmakedefine DEPENDENCY_PACKAGE_ENABLE      ///< Defined if a precompiled depdency package was used. We then copy all libraries too when installing.
 
@@ -57,5 +55,4 @@
     const char defaultLibraryPath[] = "@DEFAULT_LIBRARY_PATH@";
     const char defaultArchivePath[] = "@DEFAULT_ARCHIVE_PATH@";
-    const char defaultModulePath[]  = "@DEFAULT_MODULE_PATH@";
     const char defaultDocPath[]     = "@DEFAULT_DOC_PATH@";
     const char defaultDataPath[]    = "@DEFAULT_DATA_PATH@";
@@ -66,16 +63,12 @@
     // INSTALLATION PATHS
     const char dataInstallDirectory[]       = "@DATA_INSTALL_DIRECTORY@";
-    const char moduleInstallDirectory[]     = "@MODULE_INSTALL_DIRECTORY@";
 #endif
 
     // DEVELOPMENT RUN PATHS
     const char dataDevDirectory[]           = "@DATA_DIRECTORY@";
-    const char externalDataDevDirectory[]   = "@EXTERNAL_DATA_DIRECTORY@";
 #ifdef CMAKE_CONFIGURATION_TYPES
-    const char moduleDevDirectory[]         = "@CMAKE_MODULE_OUTPUT_DIRECTORY@/" CMAKE_INTDIR;
     const char configDevDirectory[]         = "@CMAKE_CONFIG_OUTPUT_DIRECTORY@/" CMAKE_INTDIR;
     const char logDevDirectory[]            = "@CMAKE_LOG_OUTPUT_DIRECTORY@/"    CMAKE_INTDIR;
 #else
-    const char moduleDevDirectory[]         = "@CMAKE_MODULE_OUTPUT_DIRECTORY@";
     const char configDevDirectory[]         = "@CMAKE_CONFIG_OUTPUT_DIRECTORY@";
     const char logDevDirectory[]            = "@CMAKE_LOG_OUTPUT_DIRECTORY@";
@@ -85,24 +78,4 @@
     const char dependencyLibraryDirectory[] = "@DEP_LIBRARY_DIR@";
 #endif
-
-    // Module extension
-    const char moduleExtension[] = "@ORXONOX_MODULE_EXTENSION@";
-
-    // OGRE PLUGINS
-#ifdef NDEBUG
-    const char ogrePlugins[] = "@OGRE_PLUGINS_RELEASE@";
-#  ifdef DEPENDENCY_PACKAGE_ENABLE
-    const char ogrePluginsDirectory[] = ".";
-#  else
-    const char ogrePluginsDirectory[] = "@OGRE_PLUGINS_FOLDER_RELEASE@";
-#  endif
-#else
-    const char ogrePlugins[] = "@OGRE_PLUGINS_DEBUG@";
-#  ifdef DEPENDENCY_PACKAGE_ENABLE
-    const char ogrePluginsDirectory[] = ".";
-#  else
-    const char ogrePluginsDirectory[] = "@OGRE_PLUGINS_FOLDER_DEBUG@";
-#  endif
-#endif
 } }
 
Index: sandbox_qt/src/external/CMakeLists.txt
===================================================================
--- sandbox_qt/src/external/CMakeLists.txt	(revision 7419)
+++ sandbox_qt/src/external/CMakeLists.txt	(revision 7421)
@@ -20,20 +20,3 @@
 ################ Sub Directories ################
 
-ADD_SUBDIRECTORY(tolua)
-
-# Include CEGUILua if not requested otherwise
-IF(CEGUILUA_USE_INTERNAL_LIBRARY)
-  IF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
-    MESSAGE(FATAL_ERROR "CEGUILua version not found in src folder. Update list of supported versions in LibraryConfig.cmake!")
-  ENDIF()
-
-  ADD_SUBDIRECTORY(ceguilua)
-  SET(CEGUILUA_LIBRARY ${CEGUILUA_LIBRARY} PARENT_SCOPE)
-ENDIF()
-
-ADD_SUBDIRECTORY(bullet)
-ADD_SUBDIRECTORY(cpptcl)
 ADD_SUBDIRECTORY(loki)
-ADD_SUBDIRECTORY(ogreceguirenderer)
-ADD_SUBDIRECTORY(ois)
-ADD_SUBDIRECTORY(tinyxml)
Index: sandbox_qt/src/libraries/CMakeLists.txt
===================================================================
--- sandbox_qt/src/libraries/CMakeLists.txt	(revision 7419)
+++ sandbox_qt/src/libraries/CMakeLists.txt	(revision 7421)
@@ -24,4 +24,2 @@
 ADD_SUBDIRECTORY(util)
 ADD_SUBDIRECTORY(core)
-ADD_SUBDIRECTORY(network)
-ADD_SUBDIRECTORY(tools)
Index: sandbox_qt/src/libraries/core/CMakeLists.txt
===================================================================
--- sandbox_qt/src/libraries/core/CMakeLists.txt	(revision 7419)
+++ sandbox_qt/src/libraries/core/CMakeLists.txt	(revision 7421)
@@ -19,84 +19,13 @@
 
 SET_SOURCE_FILES(CORE_SRC_FILES
-  CommandLineParser.cc
-  ConfigValueContainer.cc
   Core.cc
-  DynLib.cc
-  DynLibManager.cc
-  Event.cc
   Game.cc
-  GameMode.cc
-  GameState.cc
-  GraphicsManager.cc
-  GUIManager.cc
-  Language.cc
-  LuaState.cc
-  ObjectListBase.cc
-  OrxonoxClass.cc
-  Resource.cc
-  WindowEventListener.cc
-
-  # hierarchy
-  Identifier.cc
-  MetaObjectList.cc
-
-  # level
-  BaseObject.cc
-  ClassTreeMask.cc
-  Loader.cc
-  Namespace.cc
-  NamespaceNode.cc
-  Template.cc
-  XMLPort.cc
-  XMLNameListener.cc
-
-COMPILATION_BEGIN FilesystemCompilation.cc
-  command/ArgumentCompletionFunctions.cc
-  ConfigFileManager.cc
-  MemoryArchive.cc
   PathConfig.cc
-COMPILATION_END
-
-  # multithreading
-  ThreadPool.cc
-COMPILATION_BEGIN ThreadCompilation.cc
-  command/TclThreadManager.cc
-  Thread.cc
-COMPILATION_END
 )
-
-ADD_SUBDIRECTORY(command)
-ADD_SUBDIRECTORY(input)
 
 ORXONOX_ADD_LIBRARY(core
   FIND_HEADER_FILES
-  TOLUA_FILES
-    command/CommandExecutor.h
-    ConfigFileManager.h
-    Game.h
-    GameMode.h
-    GUIManager.h
-    Loader.h
-    LuaState.h
-    PathConfig.h
-    input/InputManager.h
-    input/KeyBinder.h
-    input/KeyBinderManager.h
-  PCH_FILE
-    CorePrecompiledHeaders.h
   LINK_LIBRARIES
-    ${OGRE_LIBRARY}
-    ${Boost_FILESYSTEM_LIBRARY}
-    ${Boost_SYSTEM_LIBRARY} # Filesystem dependency
-    ${Boost_THREAD_LIBRARY}
-    ${Boost_DATE_TIME_LIBRARY} # Thread dependency
-    ${CEGUI_LIBRARY}
-    ${CEGUILUA_LIBRARY}
-    ${LUA_LIBRARIES}
-    cpptcl_orxonox
-    ogreceguirenderer_orxonox
-    ois_orxonox
-    tinyxml_orxonox
-    tolua_orxonox
+    ${QT_QTCORE_LIBRARY}
     util
   SOURCE_FILES
Index: sandbox_qt/src/libraries/core/Core.cc
===================================================================
--- sandbox_qt/src/libraries/core/Core.cc	(revision 7419)
+++ sandbox_qt/src/libraries/core/Core.cc	(revision 7421)
@@ -31,5 +31,5 @@
 @file
 @brief
-    Implementation of the Core singleton with its global variables (avoids boost include)
+    Implementation of the Core singleton
 */
 
@@ -37,4 +37,5 @@
 
 #include <cassert>
+#include <ctime>
 #include <fstream>
 #include <vector>
@@ -49,27 +50,7 @@
 #endif
 
-#include "util/Clock.h"
 #include "util/Debug.h"
 #include "util/Exception.h"
-#include "util/Scope.h"
-#include "util/ScopedSingletonManager.h"
-#include "util/SignalHandler.h"
 #include "PathConfig.h"
-#include "CommandLineParser.h"
-#include "ConfigFileManager.h"
-#include "ConfigValueIncludes.h"
-#include "CoreIncludes.h"
-#include "DynLibManager.h"
-#include "GameMode.h"
-#include "GraphicsManager.h"
-#include "GUIManager.h"
-#include "Identifier.h"
-#include "Language.h"
-#include "LuaState.h"
-#include "command/ConsoleCommand.h"
-#include "command/IOConsole.h"
-#include "command/TclBind.h"
-#include "command/TclThreadManager.h"
-#include "input/InputManager.h"
 
 namespace orxonox
@@ -78,102 +59,25 @@
     Core* Core::singletonPtr_s  = 0;
 
-    SetCommandLineArgument(settingsFile, "orxonox.ini").information("THE configuration file");
-    SetCommandLineSwitch(noIOConsole).information("Use this if you don't want to use the IOConsole (for instance for Lua debugging)");
-
-#ifdef ORXONOX_PLATFORM_WINDOWS
-    SetCommandLineArgument(limitToCPU, 1).information("Limits the program to one CPU/core (1, 2, 3, etc.). Default is the first core (faster than off)");
-#endif
-
     Core::Core(const std::string& cmdLine)
-        // Cleanup guard for identifier destruction (incl. XMLPort, configValues, consoleCommands)
-        : identifierDestroyer_(Identifier::destroyAllIdentifiers)
-        // Cleanup guard for external console commands that don't belong to an Identifier
-        , consoleCommandDestroyer_(ConsoleCommand::destroyAll)
-        , bGraphicsLoaded_(false)
-        , bStartIOConsole_(true)
     {
         // Set the hard coded fixed paths
         this->pathConfig_.reset(new PathConfig());
 
-        // Create a new dynamic library manager
-        this->dynLibManager_.reset(new DynLibManager());
-
-        // Load modules
-        const std::vector<std::string>& modulePaths = this->pathConfig_->getModulePaths();
-        for (std::vector<std::string>::const_iterator it = modulePaths.begin(); it != modulePaths.end(); ++it)
-        {
-            try
-            {
-                this->dynLibManager_->load(*it);
-            }
-            catch (...)
-            {
-                COUT(1) << "Couldn't load module \"" << *it << "\": " << Exception::handleMessage() << std::endl;
-            }
-        }
-
-        // Parse command line arguments AFTER the modules have been loaded (static code!)
-        CommandLineParser::parseCommandLine(cmdLine);
-
         // Set configurable paths like log, config and media
         this->pathConfig_->setConfigurablePaths();
-
-        // create a signal handler (only active for Linux)
-        // This call is placed as soon as possible, but after the directories are set
-        this->signalHandler_.reset(new SignalHandler());
-        this->signalHandler_->doCatch(PathConfig::getExecutablePathString(), PathConfig::getLogPathString() + "orxonox_crash.log");
 
         // Set the correct log path. Before this call, /tmp (Unix) or %TEMP% (Windows) was used
         OutputHandler::getInstance().setLogPath(PathConfig::getLogPathString());
 
-        // Parse additional options file now that we know its path
-        CommandLineParser::parseFile();
-
 #ifdef ORXONOX_PLATFORM_WINDOWS
         // limit the main thread to the first core so that QueryPerformanceCounter doesn't jump
-        // do this after ogre has initialised. Somehow Ogre changes the settings again (not through
-        // the timer though).
-        int limitToCPU = CommandLineParser::getValue("limitToCPU");
+        int limitToCPU = 0;//CommandLineParser::getValue("limitToCPU");
         if (limitToCPU > 0)
             setThreadAffinity(static_cast<unsigned int>(limitToCPU));
 #endif
 
-        // Manage ini files and set the default settings file (usually orxonox.ini)
-        this->configFileManager_.reset(new ConfigFileManager());
-        this->configFileManager_->setFilename(ConfigFileType::Settings,
-            CommandLineParser::getValue("settingsFile").getString());
-
-        // Required as well for the config values
-        this->languageInstance_.reset(new Language());
-
-        // Do this soon after the ConfigFileManager has been created to open up the
-        // possibility to configure everything below here
-        ClassIdentifier<Core>::getIdentifier("Core")->initialiseObject(this, "Core", true);
-        this->setConfigValues();
-
-        // create persistent io console
-        if (CommandLineParser::getValue("noIOConsole").getBool())
-        {
-            ModifyConfigValue(bStartIOConsole_, tset, false);
-        }
-        if (this->bStartIOConsole_)
-            this->ioConsole_.reset(new IOConsole());
-
-        // creates the class hierarchy for all classes with factories
-        Identifier::createClassHierarchy();
-
-        // Load OGRE excluding the renderer and the render window
-        this->graphicsManager_.reset(new GraphicsManager(false));
-
-        // initialise Tcl
-        this->tclBind_.reset(new TclBind(PathConfig::getDataPathString()));
-        this->tclThreadManager_.reset(new TclThreadManager(tclBind_->getTclInterpreter()));
-
-        // Create singletons that always exist (in other libraries)
-        this->rootScope_.reset(new Scope<ScopeID::Root>());
-
         // Generate documentation instead of normal run?
         std::string docFilename;
-        CommandLineParser::getValue("generateDoc", &docFilename);
+        //CommandLineParser::getValue("generateDoc", &docFilename);
         if (!docFilename.empty())
         {
@@ -181,5 +85,5 @@
             if (docFile.is_open())
             {
-                CommandLineParser::generateDoc(docFile);
+                //CommandLineParser::generateDoc(docFile);
                 docFile.close();
             }
@@ -191,10 +95,8 @@
     /**
     @brief
-        All destruction code is handled by scoped_ptrs and ScopeGuards.
+        All destruction code is handled by QScopedPointers
     */
     Core::~Core()
     {
-        // Remove us from the object lists again to avoid problems when destroying them
-        this->unregisterObject();
     }
 
@@ -207,4 +109,5 @@
         const unsigned int defaultLevelLogFile = 4;
 #endif
+        /*
         SetConfigValueExternal(softDebugLevelLogFile_, "OutputHandler", "softDebugLevelLogFile", defaultLevelLogFile)
             .description("The maximum level of debug output shown in the log file");
@@ -219,11 +122,5 @@
         SetConfigValue(bStartIOConsole_, true)
             .description("Set to false if you don't want to use the IOConsole (for Lua debugging for instance)");
-    }
-
-    //! Callback function if the language has changed.
-    void Core::languageChanged()
-    {
-        // Read the translation file after the language was configured
-        Language::getInstance().readTranslatedLanguageFile();
+        */
     }
 
@@ -237,74 +134,4 @@
             bInitialized = true;
         }
-    }
-
-    void Core::loadGraphics()
-    {
-        // Any exception should trigger this, even in upgradeToGraphics (see its remarks)
-        Loki::ScopeGuard unloader = Loki::MakeObjGuard(*this, &Core::unloadGraphics);
-
-        // Upgrade OGRE to receive a render window
-        try
-        {
-            graphicsManager_->upgradeToGraphics();
-        }
-        catch (...)
-        {
-            // Recovery from this is very difficult. It requires to completely
-            // destroy Ogre related objects and load again (without graphics).
-            // However since Ogre 1.7 there seems to be a problem when Ogre
-            // throws an exception and the graphics engine then gets destroyed
-            // and reloaded between throw and catch (access violation in MSVC).
-            // That's why we abort completely and only display the exception.
-            COUT(0) << "An exception occurred during upgrade to graphics. "
-                    << "That is unrecoverable. The message was:" << endl
-                    << Exception::handleMessage() << endl;
-            abort();
-        }
-
-        // Calls the InputManager which sets up the input devices.
-        inputManager_.reset(new InputManager());
-
-        // Load the CEGUI interface
-        guiManager_.reset(new GUIManager(inputManager_->getMousePosition()));
-
-        bGraphicsLoaded_ = true;
-        GameMode::bShowsGraphics_s = true;
-
-        // Load some sort of a debug overlay (only denoted by its name, "debug.oxo")
-        graphicsManager_->loadDebugOverlay();
-
-        // Create singletons associated with graphics (in other libraries)
-        graphicsScope_.reset(new Scope<ScopeID::Graphics>());
-
-        unloader.Dismiss();
-    }
-
-    void Core::unloadGraphics()
-    {
-        this->graphicsScope_.reset();
-        this->guiManager_.reset();
-        this->inputManager_.reset();
-        this->graphicsManager_.reset();
-
-        // Load Ogre::Root again, but without the render system
-        try
-            { this->graphicsManager_.reset(new GraphicsManager(false)); }
-        catch (...)
-        {
-            COUT(0) << "An exception occurred during 'unloadGraphics':" << Exception::handleMessage() << std::endl
-                    << "Another exception might be being handled which may lead to undefined behaviour!" << std::endl
-                    << "Terminating the program." << std::endl;
-            abort();
-        }
-
-        bGraphicsLoaded_ = false;
-        GameMode::bShowsGraphics_s = false;
-    }
-
-    //! Sets the language in the config-file back to the default.
-    void Core::resetLanguage()
-    {
-        ResetConfigValue(language_);
     }
 
@@ -354,36 +181,3 @@
 #endif
     }
-
-    void Core::preUpdate(const Clock& time)
-    {
-        // Update singletons before general ticking
-        ScopedSingletonManager::preUpdate<ScopeID::Root>(time);
-        if (this->bGraphicsLoaded_)
-        {
-            // Process input events
-            this->inputManager_->preUpdate(time);
-            // Update GUI
-            this->guiManager_->preUpdate(time);
-            // Update singletons before general ticking
-            ScopedSingletonManager::preUpdate<ScopeID::Graphics>(time);
-        }
-        // Process console events and status line
-        if (this->ioConsole_ != NULL)
-            this->ioConsole_->preUpdate(time);
-        // Process thread commands
-        this->tclThreadManager_->preUpdate(time);
-    }
-
-    void Core::postUpdate(const Clock& time)
-    {
-        // Update singletons just before rendering
-        ScopedSingletonManager::postUpdate<ScopeID::Root>(time);
-        if (this->bGraphicsLoaded_)
-        {
-            // Update singletons just before rendering
-            ScopedSingletonManager::postUpdate<ScopeID::Graphics>(time);
-            // Render (doesn't throw)
-            this->graphicsManager_->postUpdate(time);
-        }
-    }
 }
Index: sandbox_qt/src/libraries/core/Core.h
===================================================================
--- sandbox_qt/src/libraries/core/Core.h	(revision 7419)
+++ sandbox_qt/src/libraries/core/Core.h	(revision 7421)
@@ -45,9 +45,9 @@
 
 #include <string>
-#include <boost/scoped_ptr.hpp>
+#include <QScopedPointer>
 #include <loki/ScopeGuard.h>
 
 #include "util/Singleton.h"
-#include "OrxonoxClass.h"
+#include "PathConfig.h"
 
 namespace orxonox
@@ -59,5 +59,5 @@
         You should only create this singleton once because it destroys the identifiers!
     */
-    class _CoreExport Core : public Singleton<Core>, public OrxonoxClass
+    class _CoreExport Core : public Singleton<Core>
     {
         typedef Loki::ScopeGuardImpl0<void (*)()> SimpleScopeGuard;
@@ -78,46 +78,18 @@
             void setConfigValues();
 
-            //! Returns the configured language.
-            const std::string& getLanguage()
-                { return this->language_; }
-            void resetLanguage();
-
         private:
             Core(const Core&); //!< Don't use (undefined symbol)
 
-            void languageChanged();
             void initRandomNumberGenerator();
 
-            void preUpdate(const Clock& time);
-            void postUpdate(const Clock& time);
-
-            void loadGraphics();
-            void unloadGraphics();
+            void update() {}
 
             void setThreadAffinity(int limitToCPU);
             // MANAGED SINGLETONS/OBJECTS
             // Mind the order for the destruction!
-            scoped_ptr<PathConfig>        pathConfig_;
-            scoped_ptr<DynLibManager>     dynLibManager_;
-            scoped_ptr<SignalHandler>     signalHandler_;
-            SimpleScopeGuard              identifierDestroyer_;
-            SimpleScopeGuard              consoleCommandDestroyer_;
-            scoped_ptr<ConfigFileManager> configFileManager_;
-            scoped_ptr<Language>          languageInstance_;
-            scoped_ptr<IOConsole>         ioConsole_;
-            scoped_ptr<TclBind>           tclBind_;
-            scoped_ptr<TclThreadManager>  tclThreadManager_;
-            scoped_ptr<Scope<ScopeID::Root> > rootScope_;
-            // graphical
-            scoped_ptr<GraphicsManager>   graphicsManager_;     //!< Interface to OGRE
-            scoped_ptr<InputManager>      inputManager_;        //!< Interface to OIS
-            scoped_ptr<GUIManager>        guiManager_;          //!< Interface to GUI
-            scoped_ptr<Scope<ScopeID::Graphics> > graphicsScope_;
+            QScopedPointer<PathConfig>    pathConfig_;
 
-            bool                          bGraphicsLoaded_;
             int                           softDebugLevelLogFile_;      //!< The debug level for the log file (belongs to OutputHandler)
-            std::string                   language_;                   //!< The language
             bool                          bInitRandomNumberGenerator_; //!< If true, srand(time(0)) is called
-            bool                          bStartIOConsole_;            //!< Set to false if you don't want to use the IOConsole
 
             static Core*                  singletonPtr_s;
Index: sandbox_qt/src/libraries/core/CorePrereqs.h
===================================================================
--- sandbox_qt/src/libraries/core/CorePrereqs.h	(revision 7419)
+++ sandbox_qt/src/libraries/core/CorePrereqs.h	(revision 7421)
@@ -37,5 +37,4 @@
 
 #include "OrxonoxConfig.h"
-#include <boost/version.hpp>
 
 //-----------------------------------------------------------------------
@@ -63,48 +62,7 @@
 //-----------------------------------------------------------------------
 
-namespace orxonox
-{
-    static const uint32_t OBJECTID_UNKNOWN = static_cast<uint32_t>(-1);
-}
-
 //-----------------------------------------------------------------------
 // Enums
 //-----------------------------------------------------------------------
-
-namespace orxonox
-{
-    namespace XMLPort
-    {
-        enum Mode
-        {
-            NOP,
-            LoadObject,
-            SaveObject,
-            ExpandObject
-        };
-    }
-
-    namespace ConfigFileType
-    {
-        enum Value
-        {
-            Settings,
-            JoyStickCalibration,
-            CommandHistory
-            // Don't forget to adjust the array size in the ConfigFileManager when adding a new entry here!
-        };
-    }
-
-    namespace KeybindMode
-    {
-        enum Value
-        {
-            OnPress,
-            OnHold,
-            OnRelease,
-            None
-        };
-    };
-}
 
 //-----------------------------------------------------------------------
@@ -114,228 +72,7 @@
 namespace orxonox
 {
-    typedef std::string LanguageEntryLabel;
-
-    template <class T, class U>
-    T orxonox_cast(U*);
-
-    class BaseObject;
-    template <class T>
-    class ClassFactory;
-    template <class T>
-    class ClassIdentifier;
-    class ClassTreeMask;
-    class ClassTreeMaskIterator;
-    class ClassTreeMaskNode;
-    class ClassTreeMaskObjectIterator;
-    class CommandLineParser;
-    class CommandLineArgument;
-    class ConfigFile;
-    class ConfigFileEntry;
-    class ConfigFileEntryComment;
-    class ConfigFileEntryValue;
-    class ConfigFileManager;
-    class ConfigFileSection;
-    class ConfigValueContainer;
     class Core;
-    class DynLib;
-    class DynLibManager;
-    struct Event;
-    class EventState;
-    class Factory;
     class Game;
-    class GameState;
-    struct GameStateInfo;
-    struct GameStateTreeNode;
-    class GraphicsManager;
-    class GUIManager;
-    class Identifier;
-    template <class T>
-    class Iterator;
-    class Language;
-    class LuaFunctor;
-    class LuaState;
-    class MemoryArchive;
-    class MemoryArchiveFactory;
-    class MetaObjectList;
-    class MetaObjectListElement;
-    class Namespace;
-    class NamespaceNode;
-    template <class T>
-    class ObjectList;
-    class ObjectListBase;
-    class ObjectListBaseElement;
-    template <class T>
-    class ObjectListElement;
-    template <class T>
-    class ObjectListIterator;
-    class OgreWindowEventListener;
-    class OrxonoxClass;
     class PathConfig;
-    struct ResourceInfo;
-    class SettingsConfigFile;
-    template <class T>
-    class SmartPtr;
-    template <class T>
-    class SubclassIdentifier;
-    class Template;
-    class Thread;
-    class ThreadPool;
-    template <class T>
-    class WeakPtr;
-    class WindowEventListener;
-    class XMLFile;
-    class XMLNameListener;
-    template <class T, class O>
-    class XMLPortClassObjectContainer;
-    template <class T>
-    class XMLPortClassParamContainer;
-    class XMLPortObjectContainer;
-    class XMLPortParamContainer;
-
-    // Command
-    class ArgumentCompleter;
-    class ArgumentCompletionListElement;
-    class CommandEvaluation;
-    class ConsoleCommand;
-    class Executor;
-    template <class T>
-    class ExecutorMember;
-    class ExecutorStatic;
-    class Functor;
-    template <class O>
-    class FunctorMember;
-    typedef FunctorMember<void> FunctorStatic;
-    template <class F, class O>
-    class FunctorPointer;
-    class IOConsole;
-    class IRC;
-    class Shell;
-    class ShellListener;
-    class TclBind;
-    struct TclInterpreterBundle;
-    template <class T>
-    class TclThreadList;
-    class TclThreadManager;
-
-    // Input
-    class BaseCommand;
-    class BufferedParamCommand;
-    class Button;
-    class HalfAxis;
-    class InputBuffer;
-    class InputDevice;
-    template <class Traits>
-    class InputDeviceTemplated;
-    class InputHandler;
-    class InputManager;
-    class InputState;
-    struct InputStatePriority;
-    class JoyStickQuantityListener;
-    class JoyStick;
-    class KeyBinder;
-    class KeyBinderManager;
-    class Keyboard;
-    class KeyDetector;
-    class KeyEvent;
-    class Mouse;
-    class ParamCommand;
-    class SimpleCommand;
-}
-
-#include "command/FunctorPtr.h"
-#include "command/ExecutorPtr.h"
-
-// CppTcl
-namespace Tcl
-{
-    class interpreter;
-    class object;
-}
-
-// Boost
-namespace boost
-{
-#if (BOOST_VERSION < 104400)
-    namespace filesystem
-    {
-        struct path_traits;
-        template <class String, class Traits> class basic_path;
-        typedef basic_path<std::string, path_traits> path;
-    }
-#else
-    namespace filesystem2
-    {
-        struct path_traits;
-        template <class String, class Traits> class basic_path;
-        typedef basic_path<std::string, path_traits> path;
-    }
-    namespace filesystem
-    {
-        using filesystem2::basic_path;
-        using filesystem2::path_traits;
-        using filesystem2::path;
-    }
-#endif
-    class thread;
-    class mutex;
-    class shared_mutex;
-    class condition_variable;
-}
-
-// Ogre
-namespace Ogre
-{
-    class DataStream;
-    template <class T> class SharedPtr;
-    typedef SharedPtr<DataStream> DataStreamPtr;
-}
-namespace orxonox
-{
-    // Import the Ogre::DataStream
-    using Ogre::DataStream;
-    using Ogre::DataStreamPtr;
-}
-
-// CEGUI
-namespace CEGUI
-{
-    class DefaultLogger;
-    class Logger;
-    class LuaScriptModule;
-
-    class OgreCEGUIRenderer;
-    class OgreCEGUIResourceProvider;
-    class OgreCEGUITexture;
-}
-
-// Lua
-struct lua_State;
-
-// TinyXML and TinyXML++
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
-namespace ticpp
-{
-    class Document;
-    class Element;
-    class Declaration;
-    class StylesheetReference;
-    class Text;
-    class Comment;
-    class Attribute;
-}
-namespace orxonox
-{
-    using ticpp::Element;
 }
 
